package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/mobile/apis"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOrgPlayerRouter)
}

// registerOrgPlayerRouter
func registerOrgPlayerRouter(v1 *gin.RouterGroup) {
	api := apis.OrgPlayer{}
	r := v1.Group("/org-player").Use()
	{
		r.GET("", api.GetPage)
		r.GET("/:id", api.Get)
		r.GET("/info", api.GetInfo)
		r.GET("/get-match-season", api.GetOrgMatchSeason)
		r.GET("/evaluate", api.GetOrgMatchEvaluate)
		r.GET("/evaluate-content", api.GetOrgMatchEvaluateContent)
		r.GET("/get-rounds", api.GetOrgRounds)
	}
}
